Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.action
Class Separator

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.jface.action.AbstractGroupMarker
              org.eclipse.jface.action.Separator

All Implemented Interfaces:
  IContributionItem

public class Separator
extends AbstractGroupMarker

A separator is a special kind of contribution item which acts as a visual separator and, optionally, acts as a group marker. Unlike group markers, separators do have a visual representation for menus and toolbars.

This class may be instantiated; it is not intended to be subclassed outside the framework.

Constructor Summary
`Separator()` Creates a separator which does not start a new group.
`Separator(String groupName)` Creates a new separator which also defines a new group having the given group name.

Method Summary
`void` | `fill(Menu menu, int index)` The default implementation of this `IContributionItem` method does nothing.
`void` | `fill(ToolBar toolbar, int index)` The default implementation of this `IContributionItem` method does nothing.
`boolean` | `isSeparator()` The `Separator` implementation of this `IContributionItem` method returns `true`

Methods inherited from class org.eclipse.jface.action.AbstractGroupMarker
`getGroupName, isGroupMarker`

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, fill, getId, getParent, isDirty, isDynamic, isEnabled, isVisible, saveWidgetState, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Separator

    public Separator()

  Creates a separator which does not start a new group.

### Separator

    public Separator(String groupName)

  Creates a new separator which also defines a new group having the given group name. The group name must not be `null` or the empty string. The group name is also used as the item id.

Parameters:
  `groupName` - the group name of the separator

Method Detail

### fill

    public void fill(Menu menu,
                     int index)

  Description copied from class: `ContributionItem`
  The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

  Specified by:
    `fill` in interface `IContributionItem`
  Overrides:
    `fill` in class `ContributionItem`

### fill

    public void fill(ToolBar toolbar,
                     int index)

  Description copied from class: `ContributionItem`
  The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

  Specified by:
    `fill` in interface `IContributionItem`
  Overrides:
    `fill` in class `ContributionItem`

### isSeparator

    public boolean isSeparator()

  The `Separator` implementation of this `IContributionItem` method returns `true`

  Specified by:
    `isSeparator` in interface `IContributionItem`
  Overrides:
    `isSeparator` in class `ContributionItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.